body {
    font-family: monospace;
    background-image: url('/assets/background.png');
}

h1, p {
    font-size: 42px;
    font-weight: normal;
    margin: 24px 0;
    color: white;
}

.wheel-container {
    position: relative;
    display: inline-block;
}

.wheel-container canvas {
    opacity: 0;
    transition: all 0.5s ease;
}

.wheel-container.active canvas {
    opacity: 1;
}

.wheel-container::before {
    content: "";
    background-image: url(/assets/black_hole.gif);
    width: 400px;
    height: 300px;
    background-repeat: no-repeat;
    position: absolute;
    top: 248px;
    left: 86px;
    z-index: -1;
    opacity: 0;
    transform: scale(0.7);
    transition: all 0.5s ease;
}

.wheel-container.active::before {
    opacity: 1;
    transform: scale(1);
}

.wheel-container img {
    opacity: 0;
    position: relative;
    max-width: 50px;
    display: block;
    transition: all 0.5s ease;
    transition-delay: 100ms;
    transform: rotate(180deg) translateY(20px);
}

.wheel-container img.show {
    opacity: 1;
    transform: rotate(180deg) translateY(-12px);
}

.actions {
    margin-top: 24px;
    display: flex;
    width: 100%;
}

.buttonContainer {
    margin-left: auto;
    position: relative;
    left: -32px;
}

button {
  align-items: center;
  appearance: none;
  background-color: #FCFCFD;
  border-radius: 4px;
  border-width: 0;
  box-shadow: rgba(45, 35, 66, 0.4) 0 2px 4px,rgba(45, 35, 66, 0.3) 0 7px 13px -3px,#D6D6E7 0 -3px 0 inset;
  box-sizing: border-box;
  color: #36395A;
  cursor: pointer;
  display: inline-flex;
  font-family: monospace;
  height: 48px;
  justify-content: center;
  line-height: 1;
  list-style: none;
  overflow: hidden;
  padding-left: 16px;
  padding-right: 16px;
  position: relative;
  text-align: left;
  text-decoration: none;
  transition: box-shadow .15s,transform .15s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  white-space: nowrap;
  will-change: box-shadow,transform;
  font-size: 18px;
}

button:focus {
  box-shadow: #D6D6E7 0 0 0 1.5px inset, rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
}

button:hover {
  box-shadow: rgba(45, 35, 66, 0.4) 0 4px 8px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
  transform: translateY(-2px);
}

button:active {
  box-shadow: #D6D6E7 0 3px 7px inset;
  transform: translateY(2px);
}

.intensity_container {
    position: relative;
    display: flex;
    margin: 0 auto 0 24px;
}

.intensity_container > div {
    cursor: pointer;
    width: 10px;
    height: 42px;
    background: #dadada;
    border: 1px solid #b8b8b8;
    border-radius: 4px;
    margin: 3px;
}

.intensity_container .icon {
    display: none;
    position: absolute;
    font-size: 42px;
    right: -70px;
    top: -2px;
    padding: 0 6px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
}

.intensity_container .icon.show {
    display: block;
}

.intensity_container .colorGreen {
    background-color: #FFEC19;
}

.intensity_container .colorGreen .icon {
    display: block;
}

.intensity_container .colorYellow {
    background-color: #FF9800;
}

.intensity_container .colorYellow:nth-child(2) .icon {
    display: block;
}

.intensity_container .colorRed {
    background-color: #F6412D;
}

.intensity_container .colorRed:nth-child(3) .icon {
    display: block;
}

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(000, 000, 000, 0.9);
}

.lightbox .lightbox__text {
    position: absolute;
    width: 100%;
    color: #fff;
    font-family: monospace;
    font-size: 40px;
    text-align: center;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.lightbox .lightbox__text span {
    display: block;
    font-size: 60px;
    margin: 24px;
}

.lightbox.show {
    display: block;
}